using System;
using System.Windows.Forms;

namespace DevexpressPatchKeygen
{
    public class PolicyRepositoryService
    {
        public SchemaAdapter schemaAdapter;
        public string fn;

        // Constructor
        public PolicyRepositoryService()
        {
        }

        // Method to save authentication file
        internal void ForgotAuthentication()
        {
            SaveFileDialog saveFileDialog = new SaveFileDialog
            {
                InitialDirectory = schemaAdapter._Parser,
                Title = "Save the License for DevExtreme (Angular, React, Vue, jQuery)",
                CheckFileExists = false,
                CheckPathExists = true,
                DefaultExt = "ts",
                Filter = "TS File (*.ts)|*.ts",
                FilterIndex = 1,
                FileName = "devextreme-license.ts",
                RestoreDirectory = true
            };

            if (saveFileDialog.ShowDialog() == DialogResult.OK)
            {
                this.fn = saveFileDialog.FileName;
                return;
            }
            schemaAdapter.m_Process = false;
        }

        // Static method to destroy the reader
        internal static bool DestroyReader()
        {
            return true;
        }

        // Static method to publish the reader
        internal static bool PublishReader()
        {
            return false;
        }
    }
}
